Warehouse

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE
POST
POST
POST
GET
POST
GET
PATCH
DELETE
POST
POST
POST

List all environments warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:read

Path parameters

  • environment_id
    string

Query parameters

  • limit
    integer
  • offset
    integer
  • search
    string

Response


Example request

GET /api/environments/:environment_id/warehouse_tables
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/warehouse_tables/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"format": "CSV",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"url_pattern": "string",
"credential": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"access_key": "string",
"access_secret": "string"
},
"columns": "string",
"external_data_source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"status": "string",
"source_type": "Ashby"
},
"external_schema": "string",
"options": {
"property1": null,
"property2": null
}
}
]
}

Create environments warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:write

Path parameters

  • environment_id
    string

Request parameters

  • deleted
    boolean
  • name
    string
  • format
  • url_pattern
    string
  • credential
  • options
    object

Response


Example request

POST /api/environments/:environment_id/warehouse_tables
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/warehouse_tables/\
-d name="string",\
-d format=undefined,\
-d url_pattern="string",\
-d credential=undefined

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"format": "CSV",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"url_pattern": "string",
"credential": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"access_key": "string",
"access_secret": "string"
},
"columns": "string",
"external_data_source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"status": "string",
"source_type": "Ashby"
},
"external_schema": "string",
"options": {
"property1": null,
"property2": null
}
}

Retrieve environments warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:read

Path parameters

  • environment_id
    string
  • id
    string

Response


Example request

GET /api/environments/:environment_id/warehouse_tables/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/warehouse_tables/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"format": "CSV",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"url_pattern": "string",
"credential": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"access_key": "string",
"access_secret": "string"
},
"columns": "string",
"external_data_source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"status": "string",
"source_type": "Ashby"
},
"external_schema": "string",
"options": {
"property1": null,
"property2": null
}
}

Update environments warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:write

Path parameters

  • environment_id
    string
  • id
    string

Request parameters

  • deleted
    boolean
  • name
    string
  • format
  • url_pattern
    string
  • credential
  • options
    object

Response


Example request

PATCH /api/environments/:environment_id/warehouse_tables/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/warehouse_tables/:id/\
-d deleted="boolean"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"format": "CSV",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"url_pattern": "string",
"credential": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"access_key": "string",
"access_secret": "string"
},
"columns": "string",
"external_data_source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"status": "string",
"source_type": "Ashby"
},
"external_schema": "string",
"options": {
"property1": null,
"property2": null
}
}

Delete environments warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:write

Path parameters

  • environment_id
    string
  • id
    string

Example request

DELETE /api/environments/:environment_id/warehouse_tables/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/warehouse_tables/:id/

Example response

Status 204 No response body

Create environments warehouse tables refresh schema

Create, Read, Update and Delete Warehouse Tables.

Path parameters

  • environment_id
    string
  • id
    string

Request parameters

  • deleted
    boolean
  • name
    string
  • format
  • url_pattern
    string
  • credential
  • options
    object

Example request

POST /api/environments/:environment_id/warehouse_tables/:id/refresh_schema
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/warehouse_tables/:id/refresh_schema/\
-d name="string",\
-d format=undefined,\
-d url_pattern="string",\
-d credential=undefined

Example response

Status 200 No response body

Create environments warehouse tables update schema

Create, Read, Update and Delete Warehouse Tables.

Path parameters

  • environment_id
    string
  • id
    string

Request parameters

  • deleted
    boolean
  • name
    string
  • format
  • url_pattern
    string
  • credential
  • options
    object

Example request

POST /api/environments/:environment_id/warehouse_tables/:id/update_schema
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/warehouse_tables/:id/update_schema/\
-d name="string",\
-d format=undefined,\
-d url_pattern="string",\
-d credential=undefined

Example response

Status 200 No response body

Create environments warehouse tables file

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:write

Path parameters

  • environment_id
    string


Example request

Example response

Status 200 No response body

List all warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:read

Path parameters

  • project_id
    string

Query parameters

  • limit
    integer
  • offset
    integer
  • search
    string

Response


Example request

GET /api/projects/:project_id/warehouse_tables
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_tables/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"format": "CSV",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"url_pattern": "string",
"credential": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"access_key": "string",
"access_secret": "string"
},
"columns": "string",
"external_data_source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"status": "string",
"source_type": "Ashby"
},
"external_schema": "string",
"options": {
"property1": null,
"property2": null
}
}
]
}

Create warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:write

Path parameters

  • project_id
    string

Request parameters

  • deleted
    boolean
  • name
    string
  • format
  • url_pattern
    string
  • credential
  • options
    object

Response


Example request

POST /api/projects/:project_id/warehouse_tables
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_tables/\
-d name="string",\
-d format=undefined,\
-d url_pattern="string",\
-d credential=undefined

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"format": "CSV",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"url_pattern": "string",
"credential": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"access_key": "string",
"access_secret": "string"
},
"columns": "string",
"external_data_source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"status": "string",
"source_type": "Ashby"
},
"external_schema": "string",
"options": {
"property1": null,
"property2": null
}
}

Retrieve warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:read

Path parameters

  • id
    string
  • project_id
    string

Response


Example request

GET /api/projects/:project_id/warehouse_tables/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_tables/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"format": "CSV",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"url_pattern": "string",
"credential": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"access_key": "string",
"access_secret": "string"
},
"columns": "string",
"external_data_source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"status": "string",
"source_type": "Ashby"
},
"external_schema": "string",
"options": {
"property1": null,
"property2": null
}
}

Update warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:write

Path parameters

  • id
    string
  • project_id
    string

Request parameters

  • deleted
    boolean
  • name
    string
  • format
  • url_pattern
    string
  • credential
  • options
    object

Response


Example request

PATCH /api/projects/:project_id/warehouse_tables/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_tables/:id/\
-d deleted="boolean"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"deleted": true,
"name": "string",
"format": "CSV",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"url_pattern": "string",
"credential": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"access_key": "string",
"access_secret": "string"
},
"columns": "string",
"external_data_source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"created_at": "2019-08-24T14:15:22Z",
"created_by": 0,
"status": "string",
"source_type": "Ashby"
},
"external_schema": "string",
"options": {
"property1": null,
"property2": null
}
}

Delete warehouse tables

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:write

Path parameters

  • id
    string
  • project_id
    string

Example request

DELETE /api/projects/:project_id/warehouse_tables/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_tables/:id/

Example response

Status 204 No response body

Create warehouse tables refresh schema

Create, Read, Update and Delete Warehouse Tables.

Path parameters

  • id
    string
  • project_id
    string

Request parameters

  • deleted
    boolean
  • name
    string
  • format
  • url_pattern
    string
  • credential
  • options
    object

Example request

POST /api/projects/:project_id/warehouse_tables/:id/refresh_schema
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_tables/:id/refresh_schema/\
-d name="string",\
-d format=undefined,\
-d url_pattern="string",\
-d credential=undefined

Example response

Status 200 No response body

Create warehouse tables update schema

Create, Read, Update and Delete Warehouse Tables.

Path parameters

  • id
    string
  • project_id
    string

Request parameters

  • deleted
    boolean
  • name
    string
  • format
  • url_pattern
    string
  • credential
  • options
    object

Example request

POST /api/projects/:project_id/warehouse_tables/:id/update_schema
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/warehouse_tables/:id/update_schema/\
-d name="string",\
-d format=undefined,\
-d url_pattern="string",\
-d credential=undefined

Example response

Status 200 No response body

Create warehouse tables file

Create, Read, Update and Delete Warehouse Tables.

Required API key scopes

warehouse_table:write

Path parameters

  • project_id
    string


Example request

Example response

Status 200 No response body

Community questions

Questions about this page? or post a community question.